Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_name
string
required

Cluster name

Example:

"my-cluster"

Response

OK

add_ons
K8sClusterAddonsV2Serializer · object
required

Cluster add-ons configuration

Example:
authentication
K8sClusterAuthenticationV2Serializer · object | null
required

Cluster authentication settings. Null when the cluster has no authentication settings

Example:
autoscaler_config
Autoscaler Config · object
required

Cluster autoscaler configuration.

It contains overrides to the default cluster-autoscaler parameters provided by the platform.

Example:
cni
K8sClusterCNIV2Serializer · object | null
required

Cluster CNI settings. Null when the cluster does not report its CNI settings

created_at
string
required

Function creation date

Example:

"2023-02-15T11:53:03Z"

creator_task_id
string | null
required

Task that created this entity. Null when no record of that task exists

Example:

"1772de21-f013-4b70-9f8f-a518985b3bc2"

csi
K8sClusterCSIV2Serializer · object
required

Cluster CSI settings

ddos_profile
K8sClusterDdosProfileV2Serializer · object | null
required

Advanced DDoS Protection profile. Null when the cluster has no DDoS profile

Example:
fixed_network
string
required

Fixed network id. An empty string when not set

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

fixed_subnet
string
required

Fixed subnet id. An empty string when not set

Example:

"90729bc3-dd37-4761-ae09-b32f2f0a365b"

id
string
required

Cluster pool uuid

Example:

"f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1"

is_ipv6
boolean
required

Enable public v6 address

Examples:

true

false

is_public
boolean
required

Cluster is public

Example:

false

keypair
string
required

Keypair

Example:

"mykeypair"

logging
LoggingOutSerializer · object | null
required

Logging configuration

Example:
name
string
required

Name

Example:

"test k8s"

pods_ip_pool
string
required

The IP pool for the pods

Example:

"172.16.0.0/18"

pods_ipv6_pool
string | null
required

The IPv6 pool for the pods. Null when is_ipv6 is false

Example:

"2a03:90c0:88:393::/64"

pools
K8sClusterPoolV2Serializer · object[]
required

pools

services_ip_pool
string
required

The IP pool for the services

Example:

"172.24.0.0/18"

services_ipv6_pool
string | null
required

The IPv6 pool for the services. Null when is_ipv6 is false

Example:

"2a03:90c0:88:381::/108"

status
enum<string>
required

Status

Available options:
Deleting,
Failed,
Pending,
Provisioned,
Provisioning,
Unknown
Example:

"Provisioned"

task_id
string | null
required

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

Example:

null

version
string
required

K8s version

Example:

"v1.28.1"